## mycompiler.mystatement
Class UnaryMinus

    java.lang.Object
      mycompiler.mystatement.UnaryMinus

    public class UnaryMinus

extends java.lang.Object

Constructor Summary
`UnaryMinus()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, java.lang.String type, boolean neg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryMinus

    public UnaryMinus()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        java.lang.String type,
                        boolean neg)
                 throws JVMCodeException

  Throws:
    `JVMCodeException`